parsers-0.12.3: Parsing combinators

Copyright | (c) Edward Kmett 2011-2013
License | BSD3
Maintainer | ekmett@gmail.com
Stability | experimental
Portability | non-portable
Safe Haskell | None
Language | Haskell2010

Text.Parser.LookAhead

Contents

- Parsing Combinators

Description

Parsers that can `lookAhead`.

Synopsis

- class Parsing m => LookAheadParsing m where
  - lookAhead :: m a -> m a

# Parsing Combinators

class Parsing m => LookAheadParsing m where Source

Additional functionality needed to describe parsers independent of input type.

Methods

lookAhead :: m a -> m a Source

`lookAhead p` parses `p` without consuming any input.

Instances

LookAheadParsing ReadP Source |
Chunk i => LookAheadParsing (Parser i) Source |
(LookAheadParsing m, Monad m) => LookAheadParsing (IdentityT m) Source |
(LookAheadParsing m, MonadPlus m, Monoid w) => LookAheadParsing (WriterT w m) Source |
(LookAheadParsing m, MonadPlus m, Monoid w) => LookAheadParsing (WriterT w m) Source |
(LookAheadParsing m, MonadPlus m) => LookAheadParsing (StateT s m) Source |
(LookAheadParsing m, MonadPlus m) => LookAheadParsing (StateT s m) Source |
(LookAheadParsing m, MonadPlus m) => LookAheadParsing (ReaderT e m) Source |
(Stream s m t, Show t) => LookAheadParsing (ParsecT s u m) Source |
(LookAheadParsing m, MonadPlus m, Monoid w) => LookAheadParsing (RWST r w s m) Source |
(LookAheadParsing m, MonadPlus m, Monoid w) => LookAheadParsing (RWST r w s m) Source |